<?xml version="1.0" encoding="UTF-8"?>
<!--
********************************************************
Implementation material for Privacy Policy Format

History:
2017-02-15: First edition

********************************************************
-->
<Policy
	xmlns="urn:oasis:names:tc:xacml:2.0:policy:schema:os"
	xmlns:hl7="urn:hl7-org:v3"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	RuleCombiningAlgId="urn:oasis:names:tc:xacml:1.0:rule-combining-algorithm:deny-overrides"
	PolicyId="urn:e-health-suisse:2015:policies:permit-reading-restricted">
	<Description>
		Base Policy 02 - read permission to restricted accessible data.
		This template must not be modified!
	</Description>
	<Target>
		<Resources>
			<Resource>
				<ResourceMatch MatchId="urn:hl7-org:v3:function:CV-equal">
					<AttributeValue DataType="urn:hl7-org:v3#CV">
						<hl7:CodedValue code="1131000195104" codeSystem="2.16.840.1.113883.6.96" displayName="restricted"/>
					</AttributeValue>
					<ResourceAttributeDesignator AttributeId="urn:ihe:iti:xds-b:2007:confidentiality-code" DataType="urn:hl7-org:v3#CV"/>
				</ResourceMatch>
			</Resource>
		</Resources>
		<Actions>
			<Action>
				<ActionMatch MatchId="urn:oasis:names:tc:xacml:1.0:function:anyURI-equal">
					<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#anyURI">
						urn:ihe:iti:2007:RegistryStoredQuery
					</AttributeValue>
					<ActionAttributeDesignator DataType="http://www.w3.org/2001/XMLSchema#anyURI"
					AttributeId="urn:oasis:names:tc:xacml:1.0:action:action-id"/>
				</ActionMatch>
			</Action>
			<Action>
				<ActionMatch MatchId="urn:oasis:names:tc:xacml:1.0:function:anyURI-equal">
					<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#anyURI">
						urn:ihe:iti:2007:RetrieveDocumentSet
					</AttributeValue>
					<ActionAttributeDesignator DataType="http://www.w3.org/2001/XMLSchema#anyURI"
					AttributeId="urn:oasis:names:tc:xacml:1.0:action:action-id"/>
				</ActionMatch>
			</Action>
			<Action>
				<ActionMatch MatchId="urn:oasis:names:tc:xacml:1.0:function:anyURI-equal">
					<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#anyURI">
						urn:ihe:iti:2007:CrossGatewayQuery
					</AttributeValue>
					<ActionAttributeDesignator DataType="http://www.w3.org/2001/XMLSchema#anyURI"
					AttributeId="urn:oasis:names:tc:xacml:1.0:action:action-id"/>
				</ActionMatch>
			</Action>
			<Action>
				<ActionMatch MatchId="urn:oasis:names:tc:xacml:1.0:function:anyURI-equal">
					<AttributeValue DataType="http://www.w3.org/2001/XMLSchema#anyURI">
						urn:ihe:iti:2007:CrossGatewayRetrieve
					</AttributeValue>
					<ActionAttributeDesignator DataType="http://www.w3.org/2001/XMLSchema#anyURI"
					AttributeId="urn:oasis:names:tc:xacml:1.0:action:action-id"/>
				</ActionMatch>
			</Action>
		</Actions>
	</Target>
	<Rule RuleId="4dcf017b-d523-499b-b971-b30a5896550d" Effect="Permit"/>
</Policy>
